Debian Bug report logs - #697269
module-assistant: incompatible with linux-headers-3.7-trunk-amd64

version graph

Package: module-assistant; Maintainer for module-assistant is Eduard Bloch <blade@debian.org>; Source for module-assistant is src:module-assistant.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 3 Jan 2013 10:57:01 UTC

Severity: important

Tags: experimental, patch

Merged with 697360

Found in version module-assistant/0.11.4

Fixed in version module-assistant/0.11.5

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#697269; Package module-assistant. (Thu, 03 Jan 2013 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. (Thu, 03 Jan 2013 10:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: module-assistant: incompatible with linux-headers-3.7-trunk-amd64
Date: Thu, 03 Jan 2013 11:55:30 +0100
Package: module-assistant
Version: 0.11.4
Severity: important

Hi,

m-a does not recognice the 3.7 headers from experimental:

# module-assistant build --text-mode --force --kvers-list 3.7-trunk-amd64 nvidia-kernel

Bad luck, the kernel headers for the target kernel version could not be
found and you did not specify other valid kernel headers to use.

However, you can install the header files for your kernel which are
provided by the linux-headers-3.7-trunk-amd64 package. For most modules
packages, these files are perfectly sufficient
without having the original kernel source.

To install the package, run:

module-assistant prepare

or

apt-get install linux-headers-3.7-trunk-amd64

# apt-get install linux-headers-3.7-trunk-amd64
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-headers-3.7-trunk-amd64 is already the newest version.
linux-headers-3.7-trunk-amd64 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Andreas



Merged 697269 697360 Request was from Evgeni Golov <evgeni@debian.org> to 697360-submit@bugs.debian.org. (Sun, 06 Jan 2013 13:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#697269; Package module-assistant. (Sun, 06 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Sun, 06 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Message #12 received at 697269@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 697269@bugs.debian.org
Subject: module-assistant: incompatible with linux-headers-3.7-trunk-amd64
Date: Sun, 6 Jan 2013 14:28:36 +0100
Control: tag -1 patch

attached is a patch that solves the issue for me by looking harder for version.h




Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to 697269-submit@bugs.debian.org. (Sun, 06 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#697269; Package module-assistant. (Sun, 06 Jan 2013 13:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Sun, 06 Jan 2013 13:33:08 GMT) Full text and rfc822 format available.

Message #19 received at 697269@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 697269@bugs.debian.org
Subject: [PATCH] find version.h in Linux >= 3.7
Date: Sun, 6 Jan 2013 14:28:37 +0100
version.h was moved in Linux 3.7 and now can be found in
 include/generated/uapi/linux/version.h

Closes: #697269
---
 module-assistant |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/module-assistant b/module-assistant
index 0351424..4d5bb11 100755
--- a/module-assistant
+++ b/module-assistant
@@ -1286,6 +1286,7 @@ sub initksrc {
           print "PROBEKDIR: $_\n" if $opt_debug;
          open($versionh, "<$_/include/generated/utsrelease.h")||
          open($versionh, "<$_/include/linux/utsrelease.h")||
+         open($versionh, "<$_/include/generated/uapi/linux/version.h")||
          open($versionh, "<$_/include/linux/version.h");
          <$versionh> =~ /"(.+)"/;
          if(close($versionh)) {
@@ -1322,9 +1323,10 @@ sub initksrc {
                }
             }
             else {
-               if(-e "$poskdir/include/linux/version.h") {
+               if(-e "$poskdir/include/linux/version.h" || -e "$poskdir/include/generated/uapi/linux/version.h") {
                   open($versionh, "<$poskdir/include/generated/utsrelease.h") ||
                   open($versionh, "<$poskdir/include/linux/utsrelease.h") ||
+                  open($versionh, "<$poskdir/include/generated/uapi/linux/version.h") ||
                   open($versionh, "<$poskdir/include/linux/version.h");
                   <$versionh> =~ /"(.+)"/;
                   push(@seenkvers, "$1\n");
-- 
1.7.10.4




Bug reassigned from package 'module-assistant' to 'module-assistant,src:linux'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 08 Jan 2013 09:33:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions module-assistant/0.11.4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 08 Jan 2013 09:33:11 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.7.1-1~experimental.1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 08 Jan 2013 09:33:12 GMT) Full text and rfc822 format available.

Marked as found in versions module-assistant/0.11.4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 08 Jan 2013 09:33:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'module-assistant,src:linux' to 'module-assistant'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 08 Jan 2013 11:33:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions module-assistant/0.11.4 and linux/3.7.1-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 08 Jan 2013 11:33:07 GMT) Full text and rfc822 format available.

Marked as found in versions module-assistant/0.11.4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 08 Jan 2013 11:33:08 GMT) Full text and rfc822 format available.

Added tag(s) experimental. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 08 Jan 2013 11:33:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:31:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#697269; Package module-assistant. (Mon, 18 Feb 2013 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Mon, 18 Feb 2013 01:39:03 GMT) Full text and rfc822 format available.

Message #42 received at 697269@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 697269@bugs.debian.org
Subject: FTBS with (uapi) patched module-assistant
Date: Mon, 18 Feb 2013 02:35:11 +0100
[Message part 1 (text/plain, inline)]
Hi

While building module-assistant with the afforementioned uapi patch, I 
encountered this issue:

[…]
dh build
   dh_testdir
   dh_auto_configure
   dh_auto_build
make[1]: Entering directory `/tmp/buildd/module-assistant-0.11.4'
docbook2man module-assistant.8.sgml
Using catalogs: /etc/sgml/catalog
Using stylesheet: /usr/share/docbook-utils/docbook-utils.dsl#print
Working on: /tmp/buildd/module-assistant-0.11.4/module-assistant.8.sgml
Done.
rm -f manpage.links manpage.refs
docbook2html module-assistant.8.sgml
Using catalogs: /etc/sgml/catalog
Using stylesheet: /usr/share/docbook-utils/docbook-utils.dsl#html
Working on: /tmp/buildd/module-assistant-0.11.4/module-assistant.8.sgml
Done.
rm -f manpage.links manpage.refs
make -C po
make[2]: Entering directory `/tmp/buildd/module-assistant-0.11.4/po'
xgettext -L perl ../module-assistant -o messages.pot
../module-assistant:378: invalid variable interpolation at "$"
make[2]: *** [messages.pot] Error 1
make[2]: Leaving directory `/tmp/buildd/module-assistant-0.11.4/po'
make[1]: *** [all] Error 2
[…]

apparently these changes would help to counter this:

--- a/module-assistant
+++ b/module-assistant
@@ -375,7 +375,7 @@ if($opt_userdir) {
    $ENV{"KPKG_DEST_DIR"}=$opt_userdir if(! defined($ENV{"KPKG_DEST_DIR"}));
    if (! defined($sudo)) {
        if(-x "/usr/bin/sudo") {
-           print wrap('','',gettext("Found sudo, will use it for $aptcmd and dpkg commands.") . "\n") if $opt_verbose;
+           print wrap('','',gettext("Found sudo, will use it for %s and dpkg commands."), $aptcmd . "\n") if $opt_verbose;
            $sudo="/usr/bin/sudo";
        }
        else {
@@ -426,8 +426,8 @@ module-assistant prepare
 
 or
 
-$aptcmd install %s")
-, $kheadpkg) . "\n\n" ;
+%s install %s")
+, $aptcmd, $kheadpkg) . "\n\n" ;
          exit 255 if($opt_nogui);
          $ret++;
          return 0;
@@ -1098,7 +1098,7 @@ sub list {
                   }
                }
                if(`apt-cache show $binpackage`=~/Filename:/) {
-                  $binstring .= gettext("not found, possible candidate(s) installable with $aptcmd:") . "\n\t";
+                  $binstring .= gettext("not found, possible candidate(s) installable with %s:"), $aptcmd . "\n\t";
                }
                else {
                   printwrap gettext("package not found, but following is already installed:") . "\n\t";


Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 25 May 2013 15:06:06 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sat, 25 May 2013 21:24:36 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 25 May 2013 21:24:36 GMT) Full text and rfc822 format available.

Message #49 received at 697269-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 697269-close@bugs.debian.org
Subject: Bug#697269: fixed in module-assistant 0.11.5
Date: Sat, 25 May 2013 21:21:06 +0000
Source: module-assistant
Source-Version: 0.11.5

We believe that the bug you reported is fixed in the latest version of
module-assistant, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697269@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated module-assistant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 25 May 2013 22:03:55 +0200
Source: module-assistant
Binary: module-assistant
Architecture: source all
Version: 0.11.5
Distribution: unstable
Urgency: low
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 module-assistant - tool to make module package creation easier
Closes: 451721 481107 553464 591421 624737 641857 673411 673782 679099 697269 697436 702648
Changes: 
 module-assistant (0.11.5) unstable; urgency=low
 .
   [ David Kalnischkies ]
   * try to open new (Linux >= 3.7) location for version.h aswell
     as the old location(s), thanks to Evgeni Golov (Closes: #697269, #702648)
   * fix xgettext 'invalid variable interpolation at "$"' error in
     strings, thanks to Stefan Lippers-Hollmann (also in #697269)
   * add Portuguese translation by Américo Monteiro (Closes: #591421)
   * change from (implicit) source format v1 to v3 (native)
   * fix "useful"-typo in manpage (found by lintian)
   * bump Standards-Version to 3.9.4 (no changes needed)
   * remove \w from the dpkg-deb matching regex as utf-8 characters
     like "»«" 'qualify' as such so that m-a isn't extracting the path
     correctly: The regex is now '[^./]' to eat everything as needed.
 .
   [ Andreas Beckmann ]
   * Package description reviewed, thanks to Justin B Rye.  (Closes: #679099)
   * Update compliant.list:
     - acx100-source
     + broadcom-sta-source  (Closes: #673782)
     - cpad-kernel-source
     + dahdi-source  (Closes: #641857)
     - drbd0.7-module-source
     - em8300-source
     - exmap-modules-source
     - fglrx-kernel-src
     + fglrx-legacy-source  (Closes: #697436)
     + fglrx-source  (Closes: #673411)
     - freeswan-modules-source
     - gpib-modules-source
     + ipset-source  (Closes: #624737)
     - ivtv-source
     - kqemu-source
     + leds-alix-source
     + lustre-source
     - madwifi-source
     + openvswitch-datapath-source
     + oss4-source
     - rt2400-source
     - rt2500-source
     - rt2570-source
     - squashfs-source
     + tp-smapi-source
     + v4l2loopback-source
     + virtualbox-guest-source
     + virtualbox-source
     + vpb-driver-source
     + west-chamber-source
     + xtables-addons-source
     - zaptel-source (renamed to dahdi-source)
   * Remove support for pcmcia-source, not in squeeze or later.
   * Remove support for compilers that have not been in squeeze or later.
   * Sanitize postrm.
   * Use canonical Vcs-* URLs.
   * Clean old builddir before extracting tarball.  (Closes: #481107, #553464)
   * Honour ACLs when checking writability of --userdir <dir>, thanks to
     Quentin Godfroy.  (Closes: #451721)
 .
   [ Eduard Bloch ]
   * Add David and Andreas as co-maintainers.
Checksums-Sha1: 
 9298c6dd33f46d8621827d657f5d26708258f2e5 1718 module-assistant_0.11.5.dsc
 6736edfe26224ead398eea3a1ae3c434edc58d9b 110189 module-assistant_0.11.5.tar.gz
 654cebcd6770f585d2c9e6b89f62c98e2ccb0c2e 118626 module-assistant_0.11.5_all.deb
Checksums-Sha256: 
 d0c80cd69da32b90cb0281aad65def2ca4acd2354769c5b62ea77748df6e1cc0 1718 module-assistant_0.11.5.dsc
 435b6e433c60a1bd4bc79d755598caa10d0fc97259fe808965725a9d132de200 110189 module-assistant_0.11.5.tar.gz
 fc70ffd54e1f1be3fb13d576d456c63fe46b657d37f4a3414bed6092c75baa0f 118626 module-assistant_0.11.5_all.deb
Files: 
 bcb30699119eef8ccb469eb92474003d 1718 kernel optional module-assistant_0.11.5.dsc
 454f05addc037ef819369ee6e747e7bc 110189 kernel optional module-assistant_0.11.5.tar.gz
 40579fab1c4a71bf0fbf08bd00c6ed79 118626 kernel optional module-assistant_0.11.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRoR5pAAoJEF+zP5NZ6e0IbKMP/0PkwnuW5yuwM62ESGvjoFIs
2mgh7DHh2K2ePCbg6xWhEfJB7K+ucKGbxb97/Ehrxe3chQNf7P4xiJoQWg8CQYBs
dPL//U7TjlrOC9uB6yKffH/PttWuPOHaSxYaTlymKcii733QO3YuO3zykQzfEh40
fhUyK9hYiPljZO2zvyR+Qc9PNjHHIqpD+gH7uLozlpmE4+s2WacM/3uRXWCLpcW+
Yrdsagw4PO+NmE/hM1rjpjG5tX9TUMtP4YultZZQWdHxFT1OCFmDgRcXZqdqUksi
6wITq00DVJkQPrt0NyKky1qpZIcHXKWdcA96BG/Ih9qqXZfnHQtBfm0nBalZQEZ7
tqE+NglN81zxHQVrIU8wEhtAa2j/aMXDAjLWXuAbzwT46nHHSWNxoQtLjhQErH3b
6wYHpVvn3PKsuFa8cPwoBt3Gds12wLzWdmGU83GbI5RDibBEd9iUFnI7W0clhC5Z
F2G7lnuzbpo5BgF8WqMdVWHi5C9XtkbTOKvDOPFPcJVNOiXZaGuDCj6kJIOj+vqz
TEFEVpNAdhC7p5g+Whx29exVLFspMp4NsnA6PmQnKttIL4KY1hUzIY/Mn+fNg0RR
hS3wZdmAYzcJXIgkEec6/tAk9Pf+L/W+g+4RvV/ked0SS9wt5P5fX4uPOv4Rt4QX
SuykcUsbaRBNr3TbjWvQ
=5pdq
-----END PGP SIGNATURE-----




Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sat, 25 May 2013 21:24:37 GMT) Full text and rfc822 format available.

Notification sent to Martin Steigerwald <Martin@Lichtvoll.de>:
Bug acknowledged by developer. (Sat, 25 May 2013 21:24:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jun 2013 07:34:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:30:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.